Debian Bug report logs - #551201
/usr/share/man/man3/insque.3.gz: insque() description contradicts POSIX and actual behaviour

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Remi Denis-Courmont <remi@remlab.net>

Date: Fri, 16 Oct 2009 14:57:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.22-1

Fixed in version manpages/3.27-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#551201; Package manpages-dev. (Fri, 16 Oct 2009 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Remi Denis-Courmont <remi@remlab.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 16 Oct 2009 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Remi Denis-Courmont <remi@remlab.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man3/insque.3.gz: insque() description contradicts POSIX and actual behaviour
Date: Fri, 16 Oct 2009 17:41:27 +0300
Package: manpages-dev
Version: 3.22-1
Severity: normal
File: /usr/share/man/man3/insque.3.gz


	Hello,

The manual page for insque() states that
    insque(&elem, NULL);
is invalid. However, the POSIX standards and the actual glibc
implementation both explicitly allows this:
http://www.opengroup.org/onlinepubs/009695399/functions/remque.html

Best regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (100, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30.9 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages manpages-dev depends on:
ii  manpages                      3.22-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  konqueror [man-browser]       4:4.3.2-1  KDE 4's advanced file manager, web
ii  man-db [man-browser]          2.5.6-3    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#551201; Package manpages-dev. (Thu, 09 Sep 2010 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 09 Sep 2010 08:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 551201@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: Remi Denis-Courmont <remi@remlab.net>, 551201@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#551201: /usr/share/man/man3/insque.3.gz: insque() description contradicts POSIX and actual behaviour
Date: Thu, 9 Sep 2010 09:56:15 +0200
tags 551201 fixed-upstream
thanks

On Fri, Oct 16, 2009 at 4:41 PM, Remi Denis-Courmont <remi@remlab.net> wrote:
> Package: manpages-dev
> Version: 3.22-1
> Severity: normal
> File: /usr/share/man/man3/insque.3.gz
>
>
>        Hello,
>
> The manual page for insque() states that
>    insque(&elem, NULL);
> is invalid. However, the POSIX standards and the actual glibc
> implementation both explicitly allows this:
> http://www.opengroup.org/onlinepubs/009695399/functions/remque.html

Remi, thanks for this report. With respect to current glibc behavior,
you are correct. However the manual page was correct at the time that
it was written. In glibc 2.5, the implementation was fixed to conform
to POSIX. I've made many changes to the page, among other things
noting that prev==NULL is possible, and also adding a BUGS section
that says the following:

    BUGS
       In glibc 2.4 and earlier, it was not possible to  specify
       prev  as NULL.  Consequently, to build a linear list, the
       caller had to build a list using  an  initial  call  that
       contained  the  first  two elements of the list, with the
       forward and backward pointers in  each  element  suitably
       initialized.

Look okay to you? (Check misc/insremque.c in glibc 2.4 source.)

The changes will be in upstream man-pages-3.27.

Thanks.

Michael


> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers unstable
>  APT policy: (100, 'unstable')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.30.9 (SMP w/2 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages manpages-dev depends on:
> ii  manpages                      3.22-1     Manual pages about using a GNU/Lin
>
> manpages-dev recommends no packages.
>
> Versions of packages manpages-dev suggests:
> ii  konqueror [man-browser]       4:4.3.2-1  KDE 4's advanced file manager, web
> ii  man-db [man-browser]          2.5.6-3    on-line manual pager
>
> -- no debconf information
>
>
>
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@gmail.com> to control@bugs.debian.org. (Thu, 09 Sep 2010 08:00:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Tue, 16 Nov 2010 21:21:07 GMT) Full text and rfc822 format available.

Notification sent to Remi Denis-Courmont <remi@remlab.net>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 21:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 551201-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 551201-close@bugs.debian.org
Subject: Bug#551201: fixed in manpages 3.27-1
Date: Tue, 16 Nov 2010 21:17:44 +0000
Source: manpages
Source-Version: 3.27-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.27-1_all.deb
  to main/m/manpages/manpages-dev_3.27-1_all.deb
manpages_3.27-1.diff.gz
  to main/m/manpages/manpages_3.27-1.diff.gz
manpages_3.27-1.dsc
  to main/m/manpages/manpages_3.27-1.dsc
manpages_3.27-1_all.deb
  to main/m/manpages/manpages_3.27-1_all.deb
manpages_3.27.orig.tar.gz
  to main/m/manpages/manpages_3.27.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Nov 2010 21:57:56 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.27-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 551201
Changes: 
 manpages (3.27-1) unstable; urgency=low
 .
   * New upstream source
     . Noted prev == NULL bug in glibc 2.4 and earlier in insque(3)
       (closes: Bug#551201)
Checksums-Sha1: 
 1b0c01c5e236db342efd0499656281c0a0ce65d5 954 manpages_3.27-1.dsc
 d58fb5a828dfbd5e88b30226b45111893d7078fd 1638522 manpages_3.27.orig.tar.gz
 6ab4e6aec3aebde597ac2bf025ef51cba6f25993 54548 manpages_3.27-1.diff.gz
 012e30e0cc7ce4f8febab64e1fcd15f28dd78cce 736562 manpages_3.27-1_all.deb
 5f95f03e537db24ab3cbfabd4f6575bded744f45 1639496 manpages-dev_3.27-1_all.deb
Checksums-Sha256: 
 5e573cd53060efc67e0dce43bdff255e54ae9518f1ce431bde982b8bef207cdc 954 manpages_3.27-1.dsc
 785f77455dc85143b2924b2246e248566da75419ce164bccd24e83eea4c6b2e9 1638522 manpages_3.27.orig.tar.gz
 5fd64bf65fac1c0b488545ea5d92f9912835678cfb83a5d646098bb8a71db7c2 54548 manpages_3.27-1.diff.gz
 620ef5f1b85792629e5050b9cfe76cb44a4f4b227a3d01c09103dc034bad65e9 736562 manpages_3.27-1_all.deb
 da9eeaafa5c409b1621195d4d9fa66e4e16f8e04b461e0633e4ae2260ad57da4 1639496 manpages-dev_3.27-1_all.deb
Files: 
 bb200d7196d8b98df653c56069d2ed8d 954 doc important manpages_3.27-1.dsc
 118c81a47619f259f9f38dbb0c280784 1638522 doc important manpages_3.27.orig.tar.gz
 830e118817cf966c91ada2377f1b10d6 54548 doc important manpages_3.27-1.diff.gz
 c75c007ba6ddc3274272104bba2a834b 736562 doc important manpages_3.27-1_all.deb
 41e7af7a792df4a2b8fca082c9f3fd04 1639496 doc optional manpages-dev_3.27-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFM4vK7W5ql+IAeqTIRAs9vAJ9H0LPEK6+Dou9/zvOHYjUC70KpdQCfcWgb
pybw3lSe1123Yqq4NNNgwIU=
=1M4q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jan 2011 07:30:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:13:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.